/api/v1/selphid/custom-event/voice/authentication
Sends a custom external voice authentication event to the Api Tracking platform.
post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo
Data to register an external voice authentication event in the Api Tracking platform. It also supports audio track buffers.
probabilitynumber · máx: 1ObrigatórioExample:
Voice match probability
0.7eventSourcestringOpcionalExample:
The source of an event in the Api Tracking service.
event.source.externalToolextraDatastringObrigatórioExample:
Tokenized data used to call the Api Tracking service after the operation, base64-encoded.
BQABAQGkJhiCqQjKYUZyDM...Respostas
200
Result of the event tracking.
application/json
The result of an Api Tracking operation.
trackingStatusnumberOpcionalExample:
Status returned by the Api Tracking service, or -1 if tracking is not required.
201trackingMessagestringOpcionalExample:
Message returned by the Api Tracking service, or empty if tracking is not required.
EvaluatePassiveLivenesWithImageBuffer: Ok400
Incorrect parameters in the request.
application/json
500
An error occurred in the call to the SelphID-SDK backend.
application/json
post/api/v1/selphid/custom-event/voice/authentication
POST /api/v1/selphid/custom-event/voice/authentication HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 101
{
"probability": 0.7,
"eventSource": "event.source.externalTool",
"extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}{
"trackingStatus": 201,
"trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}Anterior/api/v1/selphid/custom-event/liveness/finish
Próximo/api/v1/selphid/custom-event/voice/authentication/finish
Atualizado